repos:
  - repo: https://gitlab.com/flywheel-io/tools/etc/qa-ci
    rev: 6dcf1fd89819875dd6dc4a6c9747183963e0d787
    hooks:
      - id: poetry_export
      - id: jsonlint
      - id: linkcheck
      - id: markdownlint
      - id: yamllint
      - id: ruff
        args:
          [
            "--config",
            "pyproject.toml",
            "--ignore",
            "E501,F401,PLC1901,PLR0912,PLR0913,PLR0915,PLR2004,PLW2901,PLC0206",
          ]
      - id: ruff_format
      - id: ruff_tests
